module.exports = function listen (server, ...args) {
  return new Promise((resolve, reject) => {
    args.push((err) => {
      if (err) return reject(err)
      const { address, family, port } = server.address()
      const host = 'IPv6' === family ? `[${address}]` : address
      resolve(`http://${host}:${port}`)
    })
    server.listen(...args)
  })
}
